Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class NamePseudonymUse

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.NamePseudonymUse

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class NamePseudonymUse

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Name Pseudonym Use', and utility methods for working with them. specDomain: V19591 (C-0-D15913-V200-V19591-cpt)

See Also:
  `CDAR2Package.getNamePseudonymUse()`

Field Summary
`static int` | `A` The 'A' literal value.
`static NamePseudonymUse` | `A_LITERAL` The 'A' literal object.
`static int` | `P` The 'P' literal value.
`static NamePseudonymUse` | `P_LITERAL` The 'P' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Name Pseudonym Use' enumerators.

Method Summary
`static NamePseudonymUse` | `get(int value)` Returns the 'Name Pseudonym Use' literal with the specified integer value.
`static NamePseudonymUse` | `get(java.lang.String literal)` Returns the 'Name Pseudonym Use' literal with the specified literal value.
`static NamePseudonymUse` | `getByName(java.lang.String name)` Returns the 'Name Pseudonym Use' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### P

    public static final int P

  The 'P' literal value.

  If the meaning of 'P' literal object isn't clear, there really should be more of a description here...

  See Also:
    `P_LITERAL`, Constant Field Values

### A

    public static final int A

  The 'A' literal value.

  If the meaning of 'A' literal object isn't clear, there really should be more of a description here...

  See Also:
    `A_LITERAL`, Constant Field Values

### P_LITERAL

    public static final NamePseudonymUse P_LITERAL

  The 'P' literal object.

  See Also:
    `P`

### A_LITERAL

    public static final NamePseudonymUse A_LITERAL

  The 'A' literal object.

  See Also:
    `A`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Name Pseudonym Use' enumerators.

Method Detail

### get

    public static NamePseudonymUse get(java.lang.String literal)

  Returns the 'Name Pseudonym Use' literal with the specified literal value.

### getByName

    public static NamePseudonymUse getByName(java.lang.String name)

  Returns the 'Name Pseudonym Use' literal with the specified name.

### get

    public static NamePseudonymUse get(int value)

  Returns the 'Name Pseudonym Use' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD